Bug 31414 - Set focus for cursor to Name when adding additional fields for baskets or subscriptions
Summary: Set focus for cursor to Name when adding additional fields for baskets or sub...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Isobel Graham
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 31411
  Show dependency treegraph
 
Reported: 2022-08-18 22:12 UTC by Katrin Fischer
Modified: 2023-06-08 22:28 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 31414: Set focus to name in additional fields. (1.40 KB, patch)
2022-11-06 14:36 UTC, Isobel Graham
Details | Diff | Splinter Review
Bug 31414: Set focus to name in additional fields. (1.45 KB, patch)
2022-11-07 18:28 UTC, David Nind
Details | Diff | Splinter Review
Bug 31414: Set focus to name in additional fields. (1.45 KB, patch)
2022-11-09 13:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 31414: (QA follow-up) Re-add required class (1.20 KB, patch)
2022-11-09 13:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-08-18 22:12:00 UTC
When adding additional fields for subscriptions or baskets from the administration, serials or acquisition pages, the focus should be on the first input field of the entry form: Name
Comment 1 Isobel Graham 2022-11-06 14:36:49 UTC
Created attachment 143343 [details] [review]
Bug 31414: Set focus to name in additional fields.

Focus is set to name on additional fields on
administation add fields.

Test plan
1. Go to administation and manange additional
fields.
2. If you then add field the focus should
automatically go to the field name.
Comment 2 David Nind 2022-11-07 18:28:39 UTC
Created attachment 143380 [details] [review]
Bug 31414: Set focus to name in additional fields.

Focus is set to name on additional fields on
administation add fields.

Test plan
1. Go to administation and manange additional
fields.
2. If you then add field the focus should
automatically go to the field name.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2022-11-09 13:58:37 UTC
Created attachment 143515 [details] [review]
Bug 31414: Set focus to name in additional fields.

Focus is set to name on additional fields on
administation add fields.

Test plan
1. Go to administation and manange additional
fields.
2. If you then add field the focus should
automatically go to the field name.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Katrin Fischer 2022-11-09 13:58:46 UTC
Created attachment 143516 [details] [review]
Bug 31414: (QA follow-up) Re-add required class
Comment 5 Katrin Fischer 2022-11-09 14:28:37 UTC
While each element can have only one CSS id, classes can be repeated separated by space :)
Comment 6 Tomás Cohen Arazi 2022-11-09 17:39:49 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!